## ros-humble-lms1xx 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(lms1xx)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)

add_executable(${PROJECT_NAME} 
  src/LMS1xx_node.cpp
  src/LMS1xx.cpp)

ament_target_dependencies(
  ${PROJECT_NAME}
  geometry_msgs
  laser_geometry
  rclcpp
  sensor_msgs
  tf2
  tf2_ros
)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

install(TARGETS lms1xx
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY config launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_package()
