=== debian/changelog ===
ros-humble-lms1xx (1.0.1-1jammy) jammy; urgency=high

  * Added statemachine to prevent driver from blocking executor.
  * Contributors: Roni Kreinin

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 30 Jun 2023 04:00:00 -0000

ros-humble-lms1xx (1.0.0-1jammy) jammy; urgency=high

  * Removed TravisCI badge.
  * Fixed CMakeLists.txt finding deleted packages
  * Fixed formatting issues and dependencies
  * Update ROS2CI.yml
  * Create ROS2CI.yml
  * Create depends.repos
  * Improvements on connecting to lidars
  * add back sprintf but dont printf
  * comment out sprintf
  * Fix min max angle
  * Fix qos for gazebo simulation
  * Make gazebo simulation work
  * Add humble support for Husky LMS_111 lidars
  * migration to ros2 foxy
  * Contributors: Daniel Duran-Rojas, Fredrik, SRai22, Samuel Lindgren, Tony Baltovski, fazzrazz

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jun 2023 04:00:00 -0000

ros-humble-lms1xx (0.3.0-1jammy) jammy; urgency=high

  * Changed shebang to python3.
  * Fixed typo in find_sick script.
  * Update the python scripts so they'll work with python3
  * Switched to industrial_ci for TravisCI.
  * Contributors: Chris I-B, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 24 Jan 2021 05:00:00 -0000

ros-humble-lms1xx (0.2.0-1jammy) jammy; urgency=high

  * Updates for console bridge deprecated macros
  * Fixed warning about inconsistent namespace redefinitions for xmlns:xacro.
  * Fixed formatting
  * Added inf to be set for min range
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Jul 2019 04:00:00 -0000

ros-humble-lms1xx (0.1.6-1jammy) jammy; urgency=high

  * Added max/min angle to gazebo plugin.
  * [ros params] Adding 'port' parameter. (#35 <https://github.com/clearpathrobotics/LMS1xx/issues/35>)
  * Add robot namespace to lidar plugin
  * Exposed parameters min_range and max_range
  * add parameters 'sample_size' and 'update_rate' for gazebo's ray plugin
  * Contributors: Achim, CyrillePierre, Mike Purvis, Paul Bovbel, Tony Baltovski, mailto:bikramak@aandkrobotics.com

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2017 04:00:00 -0000

ros-humble-lms1xx (0.1.5-1jammy) jammy; urgency=high

  * Rework startup/reconnection logic.
  * Add roslaunch, roslint checks.
  * Other fixes, including a new buffer class with tests.
  * Add travis.
  * Apply astyle to original package.
  * Remove screen attribute from example launcher.
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 18 Dec 2015 05:00:00 -0000

ros-humble-lms1xx (0.1.4-1jammy) jammy; urgency=high

  * Another startup bugfix.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 04 Sep 2015 04:00:00 -0000

ros-humble-lms1xx (0.1.3-1jammy) jammy; urgency=high

  * Added URDF with simulation plugin.
  * Added script to set static IP of LMS1xx
  * Fixed startup publishing issue
  * Removed one second delay in login
  * Contributors: Mike Purvis, Mustafa Safri, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jul 2015 04:00:00 -0000

ros-humble-lms1xx (0.1.2-1jammy) jammy; urgency=high

  * More robust startup for LMS1xs, retries instead of just dying.
  * Switch to console_bridge logouts, separate lib.
  * Remove buffer flush at conclusion.
  * Use LMS1xx reported configuration instead of capabilities for angle_min, max, etc...
  * Use output range query for min & max angles, num_values, and time_increment.
    Previously, the code would query the LMS1xx for its capabilities, which
    might exceed its current configuration (in terms of angle range).  Now, we
    query the LMS1xx for its configuration when setting scan parameters such
    as min & max angle, number of values reported, and time increment.
  * Add getScanOutputRange() to read outputRange data from the LMS1xx.
  * Contributors: Mike Purvis, Patrick Doyle

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-humble-lms1xx (0.1.1-1jammy) jammy; urgency=high

  * Changed the pkg and name so that the launch file is able to find the package.
  * Fix assignment in if() to comparison.
  * Contributors: Jeff Schmidt, Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 18 Aug 2014 04:00:00 -0000

ros-humble-lms1xx (0.1.0-1jammy) jammy; urgency=high

  * Fix example launch file and install it.
  * Fix project name in CMakeLists.
  * Adding original author, readme
  * Contributors: Mike Purvis

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000

ros-humble-lms1xx (0.0.1-1jammy) jammy; urgency=high

  * Initial release
  * Contributors: MLefebvre, Mike Purvis, Prasenjit Mukherjee

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 27 Feb 2014 05:00:00 -0000
